package github.benjamin.equipreservebackend.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import github.benjamin.equipreservebackend.dto.UserDTO;
import github.benjamin.equipreservebackend.entity.User;
import github.benjamin.equipreservebackend.security.SecurityUser;
import github.benjamin.equipreservebackend.vo.UserVO;

public interface UserService {

    User login(String username, String password);

    SecurityUser loadSecurityUserById(Long userId);

    UserVO getUserVO(Long id);

    void updateUser(Long id, UserDTO dto);

    Page<UserVO> getUserVOs(Page<User> pageRequest, String name);

    void deleteById(Long userId);

    void addUser(UserDTO dto);
}
