package github.benjamin.equipreservebackend.service.impl;

import github.benjamin.equipreservebackend.entity.Team;
import github.benjamin.equipreservebackend.mapper.TeamMapper;
import github.benjamin.equipreservebackend.service.TeamService;
import github.benjamin.equipreservebackend.vo.TeamVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class TeamServiceImpl implements TeamService {

    private final TeamMapper teamMapper;

    @Override
    public List<TeamVO> getTeams() {

        List<Team> teams = teamMapper.selectList(null);

        return teams.stream().map(TeamVO::new).toList();
    }
}
